<template>
	<el-row class="repayment">
		<el-form ref="form" :model="form" label-width="5rem">
			<el-row>
				<el-col :span="6" :offset="1">
					<el-form-item label="应还总额">{{form.shouldRepayAmount}}</el-form-item>
				</el-col>
				<el-col :span="6">
					<el-form-item label="应还本金">{{form.shouldRepayCapital}}</el-form-item>
				</el-col>
				<el-col :span="6">
					<el-form-item label="应还利息">{{form.shouldRepayInterest}}</el-form-item>
				</el-col>
			</el-row>
			<el-row>
				<el-col :span="6" :offset="1">
					<el-form-item label="剩余应还">{{form.remainShouldRepayAmount}}</el-form-item>
				</el-col>
				<el-col :span="6">
					<el-form-item label="实还本金">{{form.actualRepayCapital}}</el-form-item>
				</el-col>
				<el-col :span="6">
					<el-form-item label="实还利息">{{form.actualRepayInterest}}</el-form-item>
				</el-col>
			</el-row>
		</el-form>
		<ootecoTable :conf="tableConf"></ootecoTable>
	</el-row>
</template>

<script>
import ootecoTable from '@com/ooteco_table'
export default {
	mixins: [$mixin],
	components: { ootecoTable },
	data() {
		return {
			form: {},
			tableConf: {
				params: {
					businessId: this.$route.query.businessId
				},
				// pagination: {
				// 	type: 1
				// },
				otherColumn: {
					index: {}
				},
				headers: [
					{
						label: '还款时间',
						prop: 'repayDate'
					},
					{
						label: '还款金额',
						prop: 'amount'
					},
					{
						label: '电子回单',
						prop: 'attachment',
						type: 'download',
						style: {
							textAlign: 'center'
						}
					},
					{
						label: '确认人',
						prop: 'confirmorName'
					},
					{
						label: '确认时间',
						prop: 'confirmDate'
					}
				]
			}
		}
	},
	computed: {},
	methods: {
		initData() {
			this.$http
				.get({
					url: 'biz/select/repay',
					params: {
						businessId: this.$route.query.businessId
					}
				})
				.then(
					({ data }) => {
						this.form = data
						this.$set(this.tableConf, 'data', data.list)
					},
					msg => {
						this.alert(msg)
					}
				)
		}
	},
	mounted() {
		this.initData()
	}
}
</script>

<style lang="less">
.repayment {
	.el-form-item {
		margin-bottom: 0;
	}
	.cell {
		div {
			text-align: center;
		}
	}
}
</style>
